# $Revision: 1.11.2.12 $, $Date: 2007/02/21 10:03:40 $
#
# Conditional build:
%bcond_without	altivec	# without Altivec support (on ppc)
%bcond_without	tests	# don't perform "make check"
#
Summary:	Library of Optimized Inner Loops
Summary(pl):	Biblioteka zoptymalizowanych wewntrznych ptli
Name:		liboil
Version:	0.3.10
Release:	1
Epoch:		1
License:	BSD
Group:		Libraries
Source0:	http://liboil.freedesktop.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	770f656bca8166dab33b322d5886a4bf
Patch0:		%{name}-opt.patch
Patch1:		%{name}-no_altivec.patch
Patch2:		%{name}-i386.patch
Patch3:		%{name}-sparc.patch
Patch4:		%{name}-no_sse2_on_i386.patch
URL:		http://liboil.freedesktop.org/wiki/
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1.6
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gtk-doc-automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer
# CFLAGS_ALTIVEC are set, but not used
%define		specflags_ppc	-maltivec

%description
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

Many multimedia applications and libraries already do similar things
internally. The goal of this project is to consolidate some of the
code used by various multimedia projects, and also make optimizations
easier to use by a broad range of applications.

%description -l pl
Liboil to biblioteka prostych funkcji zoptymalizowanych dla rnych
procesorw. Funkcje te to zwykle ptle implementujce proste
algorytmy, takie jak konwersja tablicy N liczb cakowitych na liczby
zmiennoprzecinkowe albo mnoenie i dodawanie tablicy N liczb. Takie
funkcje s kandydatami do znaczcej optymalizacji przy uyciu rnych
technik, szczeglnie poprzez uycie rozszerzonych instrukcji
udostpnianych przez nowoczesne procesory (Altivec, MMX, SSE itp.).

Wiele aplikacji multimedialnych i bibliotek ju robi takie rzeczy
wewntrznie. Celem tego projektu jest poczenie czci kodu uywanego
przez rne projekty multimedialne i uatwienie uywania optymalizacji
w szerszym zakresie aplikacji.

%package devel
Summary:	Header files for liboil library
Summary(pl):	Pliki nagwkowe biblioteki liboil
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for liboil library.

%description devel -l pl
Pliki nagwkowe biblioteki liboil.

%package static
Summary:	Static liboil library
Summary(pl):	Statyczna biblioteka liboil
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static liboil library.

%description static -l pl
Statyczna biblioteka liboil.

%prep
%setup -q
%patch0 -p1
%{!?with_altivec:%patch1 -p1}
%ifarch i386
%patch2 -p1
%endif
%ifarch alpha sparc
%patch3 -p1
%endif
%patch4 -p0

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} clean -C examples
cp -rf examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{_libdir}/liboiltmp1*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/liboil-*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liboil-*.so
%{_libdir}/liboil-*.la
%{_includedir}/liboil-*
%{_pkgconfigdir}/liboil-*.pc
%{_gtkdocdir}/liboil
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/liboil-*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: liboil.spec,v $
Revision 1.11.2.12  2007/02/21 10:03:40  hawk
- updated to 0.3.10, merged liboil-no_sse2_on_i386.patch from HEAD

Revision 1.11.2.11  2006/05/17 12:11:19  qboosh
- kill unaligned accesses on alpha too, release 3

Revision 1.11.2.10  2006/05/17 10:55:38  baggins
- release 2
- it passes all tests on all archs at last

Revision 1.11.2.9  2006/05/17 10:48:48  baggins
- backported fixes for sse2 code

Revision 1.11.2.8  2006/05/17 00:14:25  baggins
- fomit-frame-pointer

Revision 1.11.2.7  2006/05/17 00:13:07  baggins
- added sparc patch, better slow than buggy

Revision 1.11.2.6  2006/05/16 22:45:02  baggins
- disable fancy code on i386

Revision 1.11.2.5  2006/05/16 21:52:01  baggins
- e:v-r in reqs

Revision 1.11.2.4  2006/05/16 18:24:09  baggins
- skip tests on sparc

Revision 1.11.2.3  2006/05/16 18:15:13  baggins
- back to 0.3.6
- epoch 1

Revision 1.11.2.2  2006/05/16 14:52:05  baggins
- release 2
- disable tests on sparc

Revision 1.11.2.1  2006/05/15 21:13:16  baggins
- merged from HEAD

Revision 1.18  2006/03/25 00:43:39  qboosh
- gcc4 patch removed (obsolete)

Revision 1.17  2006/03/25 00:30:50  qboosh
- -maltivec is needed in flags to build on Ac

Revision 1.16  2006/03/23 09:01:05  zboczuch
- up to 0.3.8
- removed gcc4 patch (included in sources)

Revision 1.15  2006/02/11 17:43:45  pluto
- gcc4 fix for ppc, release 2.

Revision 1.14  2006/02/05 19:30:06  qboosh
- updated to 0.3.7

Revision 1.13  2005/11/17 00:52:15  charles
- updated to 0.3.6
- updated URLs
- BR: rpmbuild(macros) >= 1.98 for %{_gtkdocdir}
- BR gtk-doc-automake instead of gtk-doc

Revision 1.12  2005/10/06 05:41:17  qboosh
- updated to 0.3.3, updated opt patch

Revision 1.11  2005/05/18 22:03:29  qboosh
- updated to 0.3.2
- by default build with (runtime-detected) altivec support on ppc

Revision 1.10  2005/03/25 11:02:16  havner
- rel 4

Revision 1.9  2005/03/25 09:22:50  havner
- rel 3, no altivec patch

Revision 1.8  2005/03/21 20:11:24  qboosh
- added opt patch (fixes tests failure on alpha), release 2

Revision 1.7  2005/03/18 22:00:28  qboosh
- updated to 0.3.1

Revision 1.6  2005/01/13 21:01:14  qboosh
- License is BSD now, added COPYING to doc

Revision 1.5  2005/01/13 13:50:28  czucz
- updated to 0.3.0
- added AUTHORS NEWS README
- removed liboil-fixes.patch as not needed

Revision 1.4  2004/11/24 20:38:44  qboosh
- updated to 0.2.2, updated fixes patch

Revision 1.3  2004/11/23 07:27:32  qboosh
- release 2

Revision 1.2  2004/11/21 15:34:25  qboosh
- added fixes patch (some SEGVs), use -fomit-frame-pointer

Revision 1.1  2004/11/21 05:08:17  qboosh
- new
